C ********************************************************************
C * DOSPLOT -  Plots density of states (DOS)                         *
C *                                                                  *
C * Copyright (C) 1997 by Gion Calzaferri                            *
C *                                                                  *
C * This program is free software; you can redistribute it and/or    *
C * modify it under the terms of the GNU General Public License as   *
C * published by the Free Software Foundation; Version 2 of the      *
C * License.                                                         *
C *                                                                  *
C * This program is distributed in the hope that it will be useful,  *
C * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
C * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
C * General Public License for more details.                         *
C *                                                                  *
C * You should have received a copy of the GNU General Public        *
C * License along with this program; if not, write to the Free       *
C * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,   *
C * MA 02111-1307 USA                                                *
C ********************************************************************
C ********************************************************************
C *                                                                  *
C *  DPOLAY                                                          *
C *                                                                  *
C *  Function of DOSPLOT                                             *
C *                                                                  *
C *  Usage......: s. below                                           *
C *                                                                  *
C *  Author.....: Martin Braendle (mbs)                              *
C *  Available..: Calzaferri group c/o                               *
C *               Prof. Dr. Gion Calzaferri                          *
C *               Institute for anorg. + phys. Chemistry             *
C *               University of Berne                                *
C *               Freiestrasse 3                                     *
C *               CH-3012 Berne                                      *
C *                                                                  *
C *  Date.......: 01.04.92                                           *
C *  Revision...: -                                                  *
C *  Remarks....: -                                                  *
C *                                                                  *
C *  Called from: DOSPLT                                             *
C *                                                                  *
C *  Calls......: -                                                  *
C *                                                                  *
C ********************************************************************

      LOGICAL FUNCTION DPOLAY(FARBIT)

      INTEGER ISEL 
      LOGICAL FARBIT

      WRITE(6,'(/,'' Create a new graph or overlay it to the existing'',
     .      '' one?'',/,'' (1) Create new'',/,'' (2) Overlay'',/,
     .      '' (3) Overlay with arbitrary axis scale'')')
10    WRITE(6,'(/,'' Selection: '',$)')
      READ(5,'(I1)',ERR=10) ISEL
      IF ((ISEL .LT. 1) .OR. (ISEL .GT. 3)) GOTO 10
      DPOLAY=((ISEL .EQ. 2) .OR. (ISEL .EQ. 3))
      FARBIT=(ISEL .EQ. 3)
      RETURN
      END
